/* tslint:disable */
/* eslint-disable */
/**
* Formats the given `edi` string into lines, separated by the segment delimiter.
*
* # Exceptions
*
* A call will throw a JS Error IFF it panicked.
* @param {string} edi
* @returns {string}
*/
export function format(edi: string): string;
/**
* Extracts metadata from the given edi file.
*
* # Exceptions
*
* A call will throw a JS Error IFF it panicked.
* @param {string} edi
* @returns {any}
*/
export function metadata(edi: string): any;
/**
* Generate a 997 acknowledgment for the given edi file.
* @param {string} edi
* @param {string} isa_control_number
* @param {string} gs_control_number
* @returns {string | undefined}
*/
export function ack(edi: string, isa_control_number: string, gs_control_number: string): string | undefined;
